Page MenuHomePhabricator

[mips] Add empty scheduler info and `NoItinerary` to the `MipsAsmPseudoInst`
ClosedPublic

Authored by atanasyan on Jun 12 2019, 5:02 PM.

Details

Summary

Set the hasNoSchedulingInfo flag for the`MipsAsmPseudoInst`. These pseudo-instructions are never used by codegen. This flag allows to reduce number of "No schedule information for" and "lacks information for" errors in case of marking a scheduler model as complete.

This patch is one of a series of patches. The goal is to make P5600 scheduler model complete and turn on the CompleteModel flag.

Diff Detail

Repository
rL LLVM

Event Timeline

atanasyan created this revision.Jun 12 2019, 5:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 12 2019, 5:02 PM
llvm/lib/Target/Mips/MipsInstrFormats.td
146 ↗(On Diff #204390)

I looked only at CodeGenSchedModels::checkCompleteness()
We already have few pseudos with let hasNoSchedulingInfo = 1; and this has same effect (no error) in checkCompleteness as NoItinerary + empty Sched. Are there any advantages in using the latter?

atanasyan marked an inline comment as done.Jun 16 2019, 2:26 PM
atanasyan added inline comments.
llvm/lib/Target/Mips/MipsInstrFormats.td
146 ↗(On Diff #204390)

Good point. The hasNoSchedulingInfo is enough. Thanks.

atanasyan updated this revision to Diff 204966.Jun 16 2019, 2:26 PM
atanasyan edited the summary of this revision. (Show Details)
  • Use hasNoSchedulingInfo flag
Petar.Avramovic accepted this revision.Jun 18 2019, 12:57 AM
This revision is now accepted and ready to land.Jun 18 2019, 12:57 AM
This revision was automatically updated to reflect the committed changes.